Skip to main content
GET
/
api
/
import-jobs
/
{job_id}
/
videos
List import job videos
curl --request GET \
  --url https://api-prod.nomadicml.com/api/import-jobs/{job_id}/videos \
  --header 'Authorization: Bearer <token>'
{
  "videos": [
    {
      "video_id": "<string>",
      "status": "<string>",
      "import_source_uri": "<string>"
    }
  ],
  "total": 123,
  "video_count": 123,
  "has_more": true,
  "next_cursor": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.nomadicml.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <NOMADIC_API_KEY>.

Path Parameters

job_id
string
required

Cloud import job identifier.

Query Parameters

limit
integer
default:500

Maximum rows to return.

Required range: 1 <= x <= 1000
cursor
string

Cursor from a previous response.

offset
integer

Offset for offset-based pagination.

Required range: x >= 0

Response

Successful response.

videos
object[]
total
integer
video_count
integer
has_more
boolean
next_cursor
string